complexType "ds:DSAKeyValueType"

Namespace: | http://www.w3.org/2000/09/xmldsig#
Content: | complex, 7 elements
Defined: | globally in xmldsig-core-schema.xsd; see XML source
Includes: | definitions of 7 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | (ds:P, ds:Q)?, ds:G?, ds:Y, ds:J?, (ds:Seed, ds:PgenCounter)?
</...>

Content Model Elements (7):

  ds:G, ds:J, ds:P, ds:PgenCounter, ds:Q, ds:Seed, ds:Y

All Direct / Indirect Based Elements (1):

  ds:DSAKeyValue

Known Usage Locations

- As direct type of elements (1):
  ds:DSAKeyValue

XML Source (see within schema source)

<complexType name="DSAKeyValueType"> <sequence> <sequence minOccurs="0"> <element name="P" type="ds:CryptoBinary"/> <element name="Q" type="ds:CryptoBinary"/> </sequence> <element minOccurs="0" name="G" type="ds:CryptoBinary"/> <element name="Y" type="ds:CryptoBinary"/> <element minOccurs="0" name="J" type="ds:CryptoBinary"/> <sequence minOccurs="0"> <element name="Seed" type="ds:CryptoBinary"/> <element name="PgenCounter" type="ds:CryptoBinary"/> </sequence> </sequence> </complexType>

Content Element Detail (all declarations; defined within this component only; 7/7)
ds:G

  Type: | ds:CryptoBinary, simple content

  Simple Content

  base64Binary

  XML Source (see within schema source)

  <element minOccurs="0" name="G" type="ds:CryptoBinary"/>

ds:J

  Type: | ds:CryptoBinary, simple content

  Simple Content

  base64Binary

  XML Source (see within schema source)

  <element minOccurs="0" name="J" type="ds:CryptoBinary"/>

ds:P

  Type: | ds:CryptoBinary, simple content

  Simple Content

  base64Binary

  XML Source (see within schema source)

  <element name="P" type="ds:CryptoBinary"/>

ds:PgenCounter

  Type: | ds:CryptoBinary, simple content

  Simple Content

  base64Binary

  XML Source (see within schema source)

  <element name="PgenCounter" type="ds:CryptoBinary"/>

ds:Q

  Type: | ds:CryptoBinary, simple content

  Simple Content

  base64Binary

  XML Source (see within schema source)

  <element name="Q" type="ds:CryptoBinary"/>

ds:Seed

  Type: | ds:CryptoBinary, simple content

  Simple Content

  base64Binary

  XML Source (see within schema source)

  <element name="Seed" type="ds:CryptoBinary"/>

ds:Y

  Type: | ds:CryptoBinary, simple content

  Simple Content

  base64Binary

  XML Source (see within schema source)

  <element name="Y" type="ds:CryptoBinary"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.